
# Function creating the fossil list with presence absence to compute the predictions: 
FUN_creating_list <- function(X, FichierTaxons = "Rodent_codes.csv", 
                              Empty_liste = "empty_list.csv") {
  
  # reading the list of fossil species
  setwd("Call_function") #Set the path to the folder call_function
  FichierTaxons <- read.csv("Rodent_codes.csv")
  Empty_liste <- read.csv("empty_list.csv")
  
  NomTaxon <- as.character(unlist(FichierTaxons[2]))  #List of rodents used in the dataframe
  Rongeurs <- as.character(unlist(X))  #List of rodent in the new observation
  
  ID_presence <- which(is.element(NomTaxon, Rongeurs)) 
  Tab_presence <- FichierTaxons[ID_presence,]
  list_presence <- as.character(unlist(Tab_presence[, 1])) #List of taxa in the dataset
  n_rod_used <- length(ID_presence)
  n_rod_list <- length(X)
  
  ID_absence <- which(!is.element(Rongeurs, NomTaxon))
  Tab_absence <- Rongeurs[ID_absence]  
  
  # Converting list of taxa into hierarchical columns for the dataframe
  Empty_list_full <- Empty_liste [1,] #Keeping ongly presence/absence data
  list_presence_full <- cbind(list_presence, 
                              substring(list_presence, 1, 1),  #Adding the Family
                              substring(list_presence, 1, 2),  #Adding the Subfamily
                              substring(list_presence, 1, 3),  #Adding the Tribe
                              substring(list_presence, 1, 5))  #Adding the Genus
  ID_p_full <- which(is.element(colnames(Empty_list_full), list_presence_full))
  Empty_list_full [ID_p_full] <- 1 
  
    #Printing infos about the new dataset
  if (n_rod_used == n_rod_list){
    cat("\n", paste("all the ", n_rod_used, 
                    " rodent species will correctly be used for the predictions"))
  } else {
    cat (paste("Only", n_rod_used, "out of the", n_rod_list, "listed species can be used for the predictions.", "\n", 
               "Following not included: "))
    cat(Tab_absence)
    cat(" ; (maybe misspelled or synonimized?)")
    
  }
  
  return(Empty_list_full)
  
}
