## Predicting (past) environments from a list of rodents
## Use only after running the code: Script_Function.R

# Importing names of species
Rodent_codes <- read.csv("Call_function/Rodent_codes.csv")
missing_taxonomy <- subset(Rodent_codes, is.na(Rodent_codes$Taxa))
missing_names <- unlist(missing_taxonomy$Sigle) # Liste des sigles qui ne correspondent  aucun taxon en systmatique

# Importing faunal list from .csv files
# Exemple of Ebague et al. 2019

Cameroon_list <- unlist(read.csv("D:/Pierre/R/Test_listes_fauniques/Ebague_2019_Cameroon.csv")$Taxon)

# Function to create the list of fossil rodents (run the code in "Script_Function.R" first)
Cameroon_sp <- FUN_creating_list(Cameroon_list)

# Removing input variables which don't correspond to real taxa
Cameroon_sp[, missing_names] <- list(NULL)

#This new list can be saved and used as a new observation on which to run the predictions from the fitted models 
Cameroon_observation <- data.frame(Cameroon_sp)
write.csv2(Cameroon_observation, "Cameroon_to_pred.csv", row.names = T)
